<?php

/* Template Name: Coleção */
/* Template usado pelas páginas das coleções do Omeka */
/* */

$pageNumber = isset($_GET['pg']) ? sanitize_text_field($_GET['pg']) : '';
$slug = $post->post_name;

if ( $pageNumber && $pageNumber != '1' || cc_get_area_do_conhecimento() || $slug == 'publicacoes' || $slug == 'publicacoes-institucionais' || $slug == 'encartes') {
	$featuredClass = '';
} else {
	$featuredClass = 'cc-lista-destaque ';
}

$header = do_blocks('<!-- wp:template-part {"slug":"header","theme":"tema-canal-ciencia","tagName":"header","className":"navbar fixed-top"} /-->');
$footer = do_blocks('<!-- wp:template-part {"slug":"footer","theme":"tema-canal-ciencia","tagName":"footer","className":"site-footer-container"} /-->');
$capa = do_blocks('
<!-- wp:pattern {"slug":"tema-canal-ciencia/capa"} /-->');
$semCapa = do_blocks('<!-- wp:group {"align":"full","layout":{"inherit":true},"className":"cc-no-cover"} -->
<div class="wp-block-group alignfull cc-no-cover">
	<!-- wp:heading {"align":"wide","level":5,"className":"cc-parent-link"} -->
	<h5 class="alignwide cc-parent-link">' . cc_get_parent_link() . '
	</h5><!-- /wp:heading -->
	<!-- wp:post-title {"align":"wide","style":{"typography":{"fontSize":"48px"},"spacing":{"margin":{"top":"0px","bottom":"18px"}}}} /-->
</div>
<!-- /wp:group -->');
$content = do_blocks('<!-- wp:group {"align":"full","className":"cc-lista ' . $featuredClass . '","layout":{"inherit":true}} -->
<div class="wp-block-group alignfull cc-lista ' . $featuredClass . '" id="itens">

<!-- wp:pattern {"slug":"tema-canal-ciencia/menu-ac"} /-->

<!-- wp:pattern {"slug":"tema-canal-ciencia/loop"} /-->

<!-- wp:pattern {"slug":"tema-canal-ciencia/paginacao"} /-->

</div>
<!-- /wp:group -->

');

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<div class="wp-site-blocks">
		<?php echo $header; ?>
		<?php if ($pageNumber && $pageNumber != '1' || cc_get_area_do_conhecimento()): ?>
			<?php echo $semCapa; ?>
		<?php else: ?>
			<?php echo $capa; ?>
			<?php if ($slug == 'encartes') : ?>
				<!-- wp:group {"layout":{"type":"constrained"}} -->
				<div class="wp-block-group is-layout-constrained wp-block-group-is-layout-constrained"><!-- wp:heading {"textAlign":"center"} -->
				<h2 class="wp-block-heading has-text-align-center">Como usar os encartes</h2>
				<!-- /wp:heading -->

				<!-- wp:paragraph {"align":"left"} -->
				<p class="has-text-align-left">Os encartes podem ser impressos em papel formato A4 e utilizados em sala de aula. Cada um deles possui a indicação do segmento e série ao qual se destina, assim como das competências e habilidades trabalhadas de acordo com a Base Nacional Comum Curricular (BNCC).</p>
				<!-- /wp:paragraph -->

				<!-- wp:paragraph {"align":"center","textColor":"cc-blue-70","fontSize":"medium"} -->
				<p class="has-text-align-center has-cc-blue-70-color has-text-color has-medium-font-size">Selecione um dos encartes abaixo clicando no botão para ver o seu conteúdo na íntegra e obter a versão para impressão.</p>
				<!-- /wp:paragraph --></div>
				<!-- /wp:group -->
			<?php endif; ?>
		<?php endif; ?>

		<?php echo $content; ?>

		<?php echo $footer; ?>
	</div>
	<?php wp_footer(); ?>

</body>

</html>