<?php

/**
 * Title: Loop
 * Slug: tema-canal-ciencia/loop
 * Inserter: false
 */

$slug = $post->post_name;
$parent_slug = get_post_field('post_name', $post->post_parent);
$id = $post->ID;
$title = $post->post_title;
$collection_class = $slug;

// Mapeando páginas e IDs das coleções do Omeka

if ($slug == 'ciencia-jovem') {
	$ItemSetID = '27267';
} elseif ($slug == 'textos-livres') {
	$ItemSetID = '27537';
} elseif ($slug == 'textos-de-divulgacao') {
	$ItemSetID = '1';
} elseif ($slug == 'notaveis') {
	$ItemSetID = '9';
} elseif ($slug == 'calcada-da-fama') {
	$ItemSetID = '27266';
} elseif ($slug == 'encartes') {
	$ItemSetID = '26887';
} elseif ($slug == 'jogos') {
	$ItemSetID = '22909';
} elseif ($slug == 'publicacoes') {
	$ItemSetID = '26890';
} elseif ($slug == 'publicacoes-institucionais') {
	$ItemSetID = '28586';
}


// Quantidade de colunas no grid de itens

if ($slug == 'publicacoes' || $slug == 'publicacoes-institucionais' || $slug == 'encartes') {
	$columns_class = 'cc-lista-2';
} else {
	$columns_class = 'cc-lista-3';
}

// Configurando link, título, imagem e resumo de cada item
if ($parent_slug == 'ciencia-em-sintese') {
	$path = get_permalink($id) . 'artigo';
	$featured_image = 'foaf:img';
	$featured_image_class = 'foaf_img';
	$item_title ='dcterms:title';
	$item_title_class = 'dcterms_title';
	$excerpt = 'dcterms:abstract';
	$excerpt_class = 'dcterms_abstract';
} elseif ($parent_slug == 'historia-das-ciencias') {
	$path = get_permalink($id) . 'cientista';
	$featured_image = 'foaf:depiction';
	$featured_image_class = 'foaf_depiction';
	$item_title ='madsrdf:fullerName';
	$item_title_class = 'madsrdf_fullerName';
	$excerpt = 'bibo:shortDescription';
	$excerpt_class = 'bibo_shortDescription';
} elseif ($parent_slug == 'sala-de-aula') {
	$path = get_permalink($id) . 'encarte';
	$featured_image = 'foaf:depiction';
	$featured_image_class = 'foaf_depiction';
	$item_title ='dcterms:title';
	$item_title_class = 'dcterms_title';
	$excerpt = 'bibo:shortDescription';
	$excerpt_class = 'bibo_shortDescription';
} elseif ($slug == 'jogos') {
	$path = get_permalink($id) . 'jogo';
	$featured_image = 'foaf:thumbnail';
	$featured_image_class = 'foaf_thumbnail';
	$item_title ='dcterms:title';
	$item_title_class = 'dcterms_title';
	$excerpt = 'dcterms:description';
	$excerpt_class = 'dcterms_description';
} elseif ($slug == 'publicacoes' || $slug == 'publicacoes-institucionais') {
	$path = null;
	$featured_image = 'foaf:img';
	$featured_image_class = 'foaf_img';
	$item_title ='dcterms:title';
	$item_title_class = 'dcterms_title';
	$excerpt = 'dcterms:description';
	$excerpt_class = 'dcterms_description';
}

// Configurando filtro de áreas do conhecimento

$areaDoConhecimento = cc_get_area_do_conhecimento();

if ($areaDoConhecimento) {
	// Omeka não consegue pesquisar com hífen '-' 
	$keyWord = str_replace(array('-','ciencias','agrarias','biologicas','saude','linguistica'), array(' ','ciências','agrárias','biológicas','saúde','linguística'), $areaDoConhecimento);
	$getod_item_set_filter = '[{&quot;id&quot;:359,&quot;s&quot;:&quot;' . $keyWord . '&quot;,&quot;o&quot;:&quot;in&quot;}]';
	$filter = '[\n{\u0022id\u0022:359,\u0022s\u0022:\u0022' . $keyWord . '\u0022,\u0022o\u0022:\u0022in\u0022}\n]';
	$noResults = 'Nenhum conteúdo encontrado na área de <strong>' . $keyWord . '</strong>';
} else {
	$getod_item_set_filter = '';
	$filter = '';
	$noResults = 'Nenhum conteúdo encontrado em <strong>' . $title . '</strong>';
}

?>

<!-- wp:getod/getod-itemsetloop {"itensPerPage":"10","ItemSetID":"<?php echo $ItemSetID ?>","ItemSetFilter":"<?php echo $filter ?>,"ItemSetSortBy":"dcterms:issued","ItemSetSortOrder":"desc","className":"<?php echo $collection_class .' '. $columns_class ?>"} -->
<div class="wp-block-getod-getod-itemsetloop getod-itemsetloop dot-pulse <?php echo $collection_class .' '. $columns_class ?>" getod_block="getod-ItemSetLoop" getod_item_set_id="<?php echo $ItemSetID ?>" getod_items_per_page="10" getod_item_set_filter="<?php echo $getod_item_set_filter ?>" getod_item_set_sortorder="desc" getod_item_set_sortby="dcterms:issued"><div class="getod-itemsetloop-empty"><!-- wp:group {"layout":{"type":"default"}} -->
<div class="wp-block-group"><!-- wp:getod/getod-text {"GetOD_text":"vivo:hasSubjectArea","className":"cc-area-do-conhecimento cc-tooltip"} --><p class="wp-block-getod-getod-text getod getod-text getod-empty dot-pulse getod-text-vivo_hasSubjectArea cc-area-do-conhecimento cc-tooltip" metadata_id="vivo:hasSubjectArea" getod_block="getod-text"></p>
<!-- /wp:getod/getod-text -->


<!-- wp:getod/getod-image {"GetOD_image":"<?php echo $featured_image ?>","classname":"cc-thumbnail"} -->
<figure class="wp-block-getod-getod-image getod getod-image getod-empty dot-pulse getod-image-<?php echo $featured_image_class ?> cc-thumbnail" metadata_id="<?php echo $featured_image ?>" getod_image_description="" getod_image_source="" getod_image_alt="" getod_image_creator="" getod_image_date="" getod_image_accessrights="" getod_image_rightsholder="" getod_block="getod-image">

<?php if ($slug == 'publicacoes' || $slug == 'publicacoes-institucionais') : ?>
<!-- wp:group {"layout":{"type":"flex","orientation":"vertical"}} -->
<div class="wp-block-group"><!-- wp:group {"style":{"spacing":{"blockGap":"0px"}},"fontSize":"small"} -->
<div class="wp-block-group has-small-font-size"><!-- wp:paragraph {"textColor":"cc-blue-70"} -->
<p class="has-cc-blue-70-color has-text-color">Autor</p>
<!-- /wp:paragraph -->

<!-- wp:group {"style":{"typography":{"fontStyle":"normal","fontWeight":"600"}}} -->
<div class="wp-block-group" style="font-style:normal;font-weight:600"><!-- wp:getod/getod-text {"GetOD_text":"dcterms:creator"} -->
<p class="wp-block-getod-getod-text getod getod-text getod-empty dot-pulse getod-text-dcterms_creator" metadata_id="dcterms:creator" getod_block="getod-text"></p>
<!-- /wp:getod/getod-text --></div>
<!-- /wp:group --></div>
<!-- /wp:group -->

<!-- wp:group {"style":{"spacing":{"blockGap":"0px"}},"fontSize":"small"} -->
<div class="wp-block-group has-small-font-size"><!-- wp:paragraph {"textColor":"cc-blue-70"} -->
<p class="has-cc-blue-70-color has-text-color">Editora</p>
<!-- /wp:paragraph -->

<!-- wp:group {"style":{"typography":{"fontStyle":"normal","fontWeight":"600"}}} -->
<div class="wp-block-group" style="font-style:normal;font-weight:600"><!-- wp:getod/getod-text {"elementoHtml":"span","GetOD_text":"dcterms:publisher"} -->
<span class="wp-block-getod-getod-text getod getod-text getod-empty dot-pulse getod-text-dcterms_publisher" metadata_id="dcterms:publisher" getod_block="getod-text"></span>
<!-- /wp:getod/getod-text --></div>
<!-- /wp:group --></div>
<!-- /wp:group -->

<!-- wp:group {"style":{"spacing":{"blockGap":"0px"}},"fontSize":"small"} -->
<div class="wp-block-group has-small-font-size"><!-- wp:paragraph {"textColor":"cc-blue-70"} -->
<p class="has-cc-blue-70-color has-text-color">Ano</p>
<!-- /wp:paragraph -->

<!-- wp:group {"style":{"typography":{"fontStyle":"normal","fontWeight":"600"}}} -->
<div class="wp-block-group" style="font-style:normal;font-weight:600"><!-- wp:getod/getod-text {"elementoHtml":"span","GetOD_text":"dcterms:created"} -->
<span class="wp-block-getod-getod-text getod getod-text getod-empty dot-pulse getod-text-dcterms_created" metadata_id="dcterms:created" getod_block="getod-text"></span>
<!-- /wp:getod/getod-text --></div>
<!-- /wp:group --></div>
<!-- /wp:group -->

<!-- wp:group {"style":{"spacing":{"blockGap":"0px"}},"fontSize":"small"} -->
<div class="wp-block-group has-small-font-size">
<!-- wp:group {"style":{"typography":{"fontStyle":"normal","fontWeight":"600"}}} -->
<div class="wp-block-group" style="font-style:normal;font-weight:600">
<!-- wp:getod/getod-relateditem {"GetOD_relateditem":"lom:hasRelatedResource","GetOD_wpPage":"/historia-das-ciencias/notaveis/cientista"} -->
<a class="getod getod-relateditem getod-empty getod-relateditem-lom_hasRelatedResource" getod_block="getod-relateditem" getod_wppage="/historia-das-ciencias/notaveis/cientista" getod_url_type="a" metadata_id="lom:hasRelatedResource" remove_content="true" href="#"><!-- wp:getod/getod-text {"elementoHtml":"span","removeNotLoad":"omeka-label-cientista","GetOD_text":"lom:hasRelatedResource"} -->
<span class="wp-block-getod-getod-text getod getod-text getod-empty dot-pulse getod-text-lom_hasRelatedResource" metadata_id="lom:hasRelatedResource" getod_block="getod-text" remove_css="omeka-label-cientista"></span>
<!-- /wp:getod/getod-text --></a>
<!-- /wp:getod/getod-relateditem -->
</div>
<!-- /wp:group -->
</div>
<!-- /wp:group -->

</div>
<!-- /wp:group -->

<?php endif; ?>

<?php if ($slug == 'encartes') : ?>
<!-- wp:group {"layout":{"type":"flex","orientation":"vertical"}} -->
<div class="wp-block-group">
<!-- wp:group {"style":{"spacing":{"blockGap":"0px"}},"fontSize":"small"} -->
<div class="wp-block-group has-small-font-size"><!-- wp:paragraph {"textColor":"cc-blue-70"} -->
<p class="has-cc-blue-70-color has-text-color">Segmento</p>
<!-- /wp:paragraph -->

<!-- wp:group {"style":{"typography":{"fontStyle":"normal","fontWeight":"600"}}} -->
<div class="wp-block-group" style="font-style:normal;font-weight:600"><!-- wp:getod/getod-text {"elementoHtml":"span","GetOD_text":"dcterms:educationLevel"} -->
<span class="wp-block-getod-getod-text getod getod-text getod-empty dot-pulse getod-text-dcterms_educationLevel" metadata_id="dcterms:educationLevel" getod_block="getod-text"></span>
<!-- /wp:getod/getod-text --></div>
<!-- /wp:group --></div>
<!-- /wp:group -->

<!-- wp:group {"style":{"spacing":{"blockGap":"0px"}},"fontSize":"small"} -->
<div class="wp-block-group has-small-font-size"><!-- wp:paragraph {"textColor":"cc-blue-70"} -->
<p class="has-cc-blue-70-color has-text-color">Série</p>
<!-- /wp:paragraph -->

<!-- wp:group {"style":{"typography":{"fontStyle":"normal","fontWeight":"600"}}} -->
<div class="wp-block-group" style="font-style:normal;font-weight:600"><!-- wp:getod/getod-text {"elementoHtml":"span","GetOD_text":"bibframe:intendedAudience"} -->
<span class="wp-block-getod-getod-text getod getod-text getod-empty dot-pulse getod-text-bibframe_intendedAudience" metadata_id="bibframe:intendedAudience" getod_block="getod-text"></span>
<!-- /wp:getod/getod-text --></div>
<!-- /wp:group --></div>
<!-- /wp:group -->

<!-- wp:group {"style":{"spacing":{"blockGap":"0px"}},"fontSize":"small"} -->
<div class="wp-block-group has-small-font-size"><!-- wp:paragraph {"textColor":"cc-blue-70"} -->
<p class="has-cc-blue-70-color has-text-color">Grande área da BNCC</p>
<!-- /wp:paragraph -->

<!-- wp:group {"style":{"typography":{"fontStyle":"normal","fontWeight":"600"}}} -->
<div class="wp-block-group" style="font-style:normal;font-weight:600"><!-- wp:getod/getod-text {"elementoHtml":"span","GetOD_text":"dcterms:created"} -->
<span class="wp-block-getod-getod-text getod getod-text getod-empty dot-pulse getod-text-dcterms_created" metadata_id="dcterms:created" getod_block="getod-text"></span>
<!-- /wp:getod/getod-text --></div>
<!-- /wp:group --></div>
<!-- /wp:group -->

<!-- wp:group {"style":{"spacing":{"blockGap":"0px"}},"fontSize":"small"} -->
<div class="wp-block-group has-small-font-size">

<!-- wp:group {"style":{"typography":{"fontStyle":"normal","fontWeight":"600"}}} -->
<div class="wp-block-group" style="font-style:normal;font-weight:600">

<!-- wp:getod/getod-relateditem {"GetOD_relateditem":"lom:hasRelatedResource","GetOD_wpPage":"/ciencia-em-sintese/textos-de-divulgacao/artigo"} -->
<a class="getod getod-relateditem getod-empty getod-relateditem-lom_hasRelatedResource" getod_block="getod-relateditem" getod_wppage="/ciencia-em-sintese/textos-de-divulgacao/artigo" getod_url_type="a" metadata_id="lom:hasRelatedResource" remove_content="true" href="#"><!-- wp:getod/getod-text {"elementoHtml":"span","removeNotLoad":"","GetOD_text":"lom:hasRelatedResource"} -->
<span class="wp-block-getod-getod-text getod getod-text getod-empty dot-pulse getod-text-lom_hasRelatedResource" metadata_id="lom:hasRelatedResource" getod_block="getod-text" remove_css=""></span>
<!-- /wp:getod/getod-text --></a>
<!-- /wp:getod/getod-relateditem -->

</div>
<!-- /wp:group --></div>
<!-- /wp:group -->
</div>
<!-- /wp:group -->

<?php endif; ?>

</figure>
<!-- /wp:getod/getod-image -->

<!-- wp:group -->
<div class="wp-block-group">
<!-- wp:group -->
<div class="wp-block-group">

<!-- wp:group {"style":{"typography":{"fontStyle":"normal","fontWeight":"600"}},"className":"wp-block-post-title"} -->
<div class="wp-block-group wp-block-post-title" style="font-style:normal;font-weight:600">

<?php if ($slug == 'publicacoes' || $slug == 'publicacoes-institucionais') : ?>

<!-- wp:getod/getod-url {"GetOD_url":"bibo:content","className":"getod-url-bibo:content"} -->
<a class="getod getod-url getod-empty getod-url-url getod-url-bibo_content" getod_block="getod-url" getod_url_type="a" metadata_id="bibo:content" remove_content="true" href="#">

<?php else: ?>

<!-- wp:getod/getod-itemsetloop-url {"UrlPage":"<?php echo $path ?>"} -->
<div class="getod getod-item-set-url getod-empty" getod_block="getod-item-set-url"><a href="<?php echo $path ?>">

<?php endif; ?>

<!-- wp:getod/getod-text {"elementoHtml":"span","GetOD_text":"<?php echo $item_title ?>"} -->
<span class="wp-block-getod-getod-text getod getod-text getod-empty dot-pulse getod-text-<?php echo $item_title_class ?>" metadata_id="<?php echo $item_title ?>" getod_block="getod-text"></span>
<!-- /wp:getod/getod-text -->

<?php if ($slug == 'publicacoes' || $slug == 'publicacoes-institucionais') : ?>

</a>
<!-- /wp:getod/getod-url -->

<?php else: ?>

</a></div>
<!-- /wp:getod/getod-itemsetloop-url -->

<?php endif; ?>

</div>
<!-- /wp:group -->

</div>
<!-- /wp:group -->

<?php if ($slug != 'encartes' && $slug != 'ciencia-jovem') : ?>

<!-- wp:group {"style":{"spacing":{"margin":{"top":"18px","bottom":"18px"}}},"className":"cc-excerpt"} -->
<div class="wp-block-group" style="margin-top:18px;margin-bottom:18px"><!-- wp:getod/getod-text {"GetOD_text":"<?php echo $excerpt ?>"} -->
<p class="wp-block-getod-getod-text getod getod-text getod-empty dot-pulse getod-text-<?php echo $excerpt_class ?> cc-excerpt" metadata_id="<?php echo $excerpt ?>" getod_block="getod-text"></p>
<!-- /wp:getod/getod-text --></div>
<!-- /wp:group -->

<?php endif; ?>	

</div>
<!-- /wp:group --></div>
<!-- /wp:group --></div>
</div>
<!-- /wp:getod/getod-itemsetloop -->

<!-- wp:getod/getod-noresult {"returnMessage":"<?php echo $noResults ?>.","className":"cc-dialog"} -->
<span class="getod getod-noresult cc-dialog" getod_block="noresult" getod_no_result_text="<?php echo $noResults ?>."></span>
<!-- /wp:getod/getod-noresult -->